Gtk::TreeIterBase Class Reference
TreeView Classes
Inheritance diagram for Gtk::TreeIterBase:
[legend]

## Public Member Functions

| TreeIterBase (const TreeIterBase& other) noexcept
TreeIterBase& | operator= (const TreeIterBase& other) noexcept
| TreeIterBase (TreeIterBase&& other) noexcept
TreeIterBase& | operator= (TreeIterBase&& other) noexcept
| TreeIterBase ()
| TreeIterBase (const GtkTreeIter* gobject)
GtkTreeIter* | gobj ()
| Provides access to the underlying C instance. More...
const GtkTreeIter* | gobj () const
| Provides access to the underlying C instance. More...

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Attributes

GtkTreeIter | gobject_

## Constructor & Destructor Documentation

Gtk::TreeIterBase::TreeIterBase | ( | const TreeIterBase& | other | ) |

noexcept

Gtk::TreeIterBase::TreeIterBase | ( | TreeIterBase&& | other | ) |

noexcept

Gtk::TreeIterBase::TreeIterBase | ( |  | ) |

Gtk::TreeIterBase::TreeIterBase | ( | const GtkTreeIter * | gobject | ) |

explicit

## Member Function Documentation

static GType Gtk::TreeIterBase::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GtkTreeIter* Gtk::TreeIterBase::gobj | ( |  | ) |

inline

Provides access to the underlying C instance.

const GtkTreeIter* Gtk::TreeIterBase::gobj | ( |  | ) | const

inline

Provides access to the underlying C instance.

TreeIterBase& Gtk::TreeIterBase::operator= | ( | const TreeIterBase& | other | ) |

noexcept

TreeIterBase& Gtk::TreeIterBase::operator= | ( | TreeIterBase&& | other | ) |

noexcept

## Member Data Documentation

GtkTreeIter Gtk::TreeIterBase::gobject_

protected

The documentation for this class was generated from the following file:

- gtkmm/treeiter.h